### Method

# EDataServerUI CredentialsPrompter get_auto_prompt

since: 3.16

#### Declaration [src]

    gboolean
    e_credentials_prompter_get_auto_prompt (
      ECredentialsPrompter* prompter
    )

#### Description [src]

Returns, whether can respond to credential prompts automatically. Default value is `TRUE`.

This property does not influence direct calls of e_credentials_prompter_prompt().

Available since: 3.16

Gets property | `EDataServerUI.CredentialsPrompter:auto-prompt`

#### Return value

Type: `gboolean`

Whether can respond to credential prompts automatically.